/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package complexcommand;

/**
 *
 * @author lynchcs
 */
public class NameCommand implements ICharacterCommand {
  private String name;
  private String undoName;
  private Character character;
  
  public NameCommand(Character character, String name) {
    this.name=name;
    this.character=character;
  }
  
  public void execute() {
    if(character != null) {
      this.undoName = character.getName();
      character.setName(name);
    }
  }
  
  public void undo() {
    if(character != null) {
      character.setName(undoName);
    }
  }  
  
  public String toString() {
    return name;
  }
  
}
