/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package complexcommand;

/**
 *
 * @author lynchcs
 */
public class ComplexCommand {

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
    CharacterCommandManager manager = new CharacterCommandManager();
    Character character = new Character();
    
    ICharacterCommand command = new NameCommand(character,"Bob");
    manager.add(command);

    command = new StrengthCommand(character,14);
    manager.add(command);

    command = new DexterityCommand(character,13);
    manager.add(command);

    command = new ConstitutionCommand(character,11);
    manager.add(command);
    
    manager.execute();
    System.out.println("First time attributes set:");
    System.out.println(character + "\n");
    
    command = new NameCommand(character,"Joe");
    manager.add(command);

    command = new StrengthCommand(character,18);
    manager.add(command);

    command = new DexterityCommand(character,10);
    manager.add(command);

    command = new ConstitutionCommand(character,12);
    manager.add(command);

    manager.execute();
    System.out.println("Second time attributes set:");
    System.out.println(character + "\n");
    
    manager.undo();
    manager.undo();
    manager.undo();
    manager.undo();
    System.out.println("After undo operation called 4 times:");
    System.out.println(character + "\n");
    
    manager.redo();
    manager.redo();
    manager.redo();
    manager.redo();
    System.out.println("After redo operation called 4 times:");
    System.out.println(character + "\n");
    
  }
}
